.SignInPage {
    display: grid;
    margin-top: var(--header-total-height);
    grid-template-columns: 3fr 2fr;
    grid-column-gap: 30px;

    @include mobile {
        margin-bottom: 30px;
        grid-template-columns: unset;
    }

    &-ImageWrapper {
        line-height: 0;

        @include after-mobile {
            margin-left: calc(var(--content-wrapper-padding) * -1);
        }

        @include mobile {
            display: none;
        }
    }

    &-FormWrapper {
        padding-top: 30px;
    }

    input {
        width: 100%;
    }

    h1 {
        @include after-mobile {
            font-size: 48px;
        }
    }

    &-SignUpMessage {
        margin-top: 20px;
        margin-bottom: 35px !important;
        font-weight: 500;

        a {
            text-decoration: underline;
        }
    }

    &-Buttons {
        margin-top: 20px;
    }

    &-ForgotPasswordLink {
        display: block;
        margin-top: 16px;
        margin-bottom: 16px;
        text-align: center;
        text-decoration: underline;
    }

    &-ErrorMessage {
        margin-top: 10px;
        margin-left: 20px;
        color: var(--red-color);
    }
}
